Package org.eclipse.mat.query.annotations

## Annotation Type Menu

    @Target(TYPE)
    @Retention(RUNTIME)
    public @interface Menu

Annotates a query which has multiple menu items for a single query class. annotations.properties replaces this annotation

    <SimpleClassName>.menu.<nn>.category = Java Basics
    <SimpleClassName>.menu.<nn>.label = 1|Special query
    <SimpleClassName>.menu.<nn>.help =

where `<SimpleClassName>` is the name of the class of the query without the package name and <nn> is a 0-based sequence number to distinguish menu entries.

### Required Element Summary

Required Elements
`Menu.Entry[]` `value`

### Element Detail

#### value

    Menu.Entry[] value